package com.gwsoft.music.service;
import com.gwsoft.music.Status;
interface PlayerAIDL{
    // 播放歌曲
    void resumePlay();
    // 暂停播放歌曲
    void pause();
    // 停止播放
    void stop();
    // 播放指定路径的歌曲
    void play(in String uri);
    // 获取歌曲播放总时长
    int getDuration();
    // 获取歌曲当前播放时间
    int getCurrentPosition();
    // 获取播放器状态
    Status getPlayerStatus();
    // 当前播放器是否处于播放状态
    boolean isPlaying();
    // 获得当前歌曲缓冲进度
    int getBuffer();
    // 歌曲快进或快退
    void seekTo(int seek);
    // 设置是否循环播放歌曲
    void setLooping(boolean loop);
    // 获取当前播放的歌曲地址
    String getMusicUrl();
    // 重置播放器
    void reset();
    //设置Volume
    void setVolume(float mCurrentVolume);
    //获取getAudioSessionId
    int getAudioSessionId();
}